package org.openxma.dsl.platform.dao.impl;

import org.openxma.dsl.platform.dao.FilterExpression;
import org.openxma.dsl.platform.dao.Filterable;

public class ResultLimitExpression implements FilterExpression {

	private Integer firstResult;
	private Integer maxResults;

	public ResultLimitExpression(Integer firstResult, Integer maxResults) {
		super();
		this.firstResult = firstResult;
		this.maxResults = maxResults;
	}

	public Object applyTo(Filterable filterable) {
		return filterable.append(this);
	}

	public Integer getFirstResult() {
		return firstResult;
	}

	public Integer getMaxResults() {
		return maxResults;
	}

}
