package org.openxma.dsl.platform.service;

import java.util.Map;

import org.openxma.dsl.platform.dao.EntityFactoryRegistry;

public interface MapperContext {
	
	/**
	 * @return a registry to lookup registerd EntityFactories
	 */
	EntityFactoryRegistry getEntityFactoryRegistry();
	
	/**
	 * @deprecated use {@link #getContext()} instead
	 */
	Map<String, Object> getStateMap();
	
	Map<Object, Object> getContext();

}
